summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--office/pstoedit/pstoedit.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/office/pstoedit/pstoedit.SlackBuild b/office/pstoedit/pstoedit.SlackBuild
index 1448d71c5f..c1af1c9913 100644
--- a/office/pstoedit/pstoedit.SlackBuild
+++ b/office/pstoedit/pstoedit.SlackBuild
@@ -24,7 +24,7 @@
PRGNAM=pstoedit
VERSION=${VERSION:-3.70}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -77,13 +77,16 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
+ --with-gnu-ld \
+ --enable-shared \
+ --disable-static \
--build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done